Name:           utouch-evemu
Version:        1.0.8
Release:        2%{?dist}
Summary:        Event Device Query and Emulation Program

Group:          Development/Tools
License:        GPLv3+

URL:            http://launchpad.net/utouch-evemu
Source0:        http://launchpad.net/%{name}/trunk/%{name}-%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:  automake libtool
BuildRequires:  python2-devel
BuildRequires:  xmlto asciidoc

%description
%{name} is a simple utility to capture the event stream from input devices
and replay that stream on a virtual input device.

%package devel
Summary:        Event Device Query and Emulation Program Development Package
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       python

%description devel
%{name} development files.

%prep
%setup -q

%build
autoreconf -v --install --force || exit 1
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# We intentionally don't ship *.la files
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_bindir}/evemu-describe
%{_bindir}/evemu-device
%{_bindir}/evemu-play
%{_bindir}/evemu-record
%{_libdir}/libutouch-evemu.so.*
%{_mandir}/man1/evemu-*

%files devel
%doc COPYING
%{_includedir}/evemu.h
%{_libdir}/libutouch-evemu.so
%{_libdir}/pkgconfig/utouch-evemu.pc
%dir %{python_sitelib}/evemu/
%{python_sitelib}/evemu/*

%changelog
* Thu Feb 09 2012 Peter Hutterer <peter.hutterer@redhat.com> 1.0.8-2
- autoreconf --force to stop weird libtool build errors

* Tue Feb 07 2012 Peter Hutterer <peter.hutterer@redhat.com> 1.0.8-1
- Initial package
